import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BeMsDeployStatusLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:14
 */
interface BeMsDeployStatusLogCU extends ConditionUtil<BeMsDeployStatusLogCU> {
    ID: FieldUtil<BeMsDeployStatusLogCU>;
    DEPLOY_ID: FieldUtil<BeMsDeployStatusLogCU>;
    POD_ID: FieldUtil<BeMsDeployStatusLogCU>;
    IP: FieldUtil<BeMsDeployStatusLogCU>;
    STATUS: FieldUtil<BeMsDeployStatusLogCU>;
    ENV_CODE: FieldUtil<BeMsDeployStatusLogCU>;
    RESTART_TOTAL: FieldUtil<BeMsDeployStatusLogCU>;
    VERSION_NO: FieldUtil<BeMsDeployStatusLogCU>;
    CREATE_TIME: FieldUtil<BeMsDeployStatusLogCU>;
    UPDATE_TIME: FieldUtil<BeMsDeployStatusLogCU>;
    PHASE: FieldUtil<BeMsDeployStatusLogCU>;
}
declare class BeMsDeployStatusLogMU extends TableUtilImpl<BeMsDeployStatusLogCU, BeMsDeployStatusLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BeMsDeployStatusLogCU;
    static get ID(): FieldUtil<BeMsDeployStatusLogCU>;
    static get DEPLOY_ID(): FieldUtil<BeMsDeployStatusLogCU>;
    static get POD_ID(): FieldUtil<BeMsDeployStatusLogCU>;
    static get IP(): FieldUtil<BeMsDeployStatusLogCU>;
    static get STATUS(): FieldUtil<BeMsDeployStatusLogCU>;
    static get ENV_CODE(): FieldUtil<BeMsDeployStatusLogCU>;
    static get RESTART_TOTAL(): FieldUtil<BeMsDeployStatusLogCU>;
    static get VERSION_NO(): FieldUtil<BeMsDeployStatusLogCU>;
    static get CREATE_TIME(): FieldUtil<BeMsDeployStatusLogCU>;
    static get UPDATE_TIME(): FieldUtil<BeMsDeployStatusLogCU>;
    static get PHASE(): FieldUtil<BeMsDeployStatusLogCU>;
    get ID(): FieldUtil<BeMsDeployStatusLogCU>;
    get DEPLOY_ID(): FieldUtil<BeMsDeployStatusLogCU>;
    get POD_ID(): FieldUtil<BeMsDeployStatusLogCU>;
    get IP(): FieldUtil<BeMsDeployStatusLogCU>;
    get STATUS(): FieldUtil<BeMsDeployStatusLogCU>;
    get ENV_CODE(): FieldUtil<BeMsDeployStatusLogCU>;
    get RESTART_TOTAL(): FieldUtil<BeMsDeployStatusLogCU>;
    get VERSION_NO(): FieldUtil<BeMsDeployStatusLogCU>;
    get CREATE_TIME(): FieldUtil<BeMsDeployStatusLogCU>;
    get UPDATE_TIME(): FieldUtil<BeMsDeployStatusLogCU>;
    get PHASE(): FieldUtil<BeMsDeployStatusLogCU>;
}
export { BeMsDeployStatusLogMU, BeMsDeployStatusLogCU };
